%global pypi_name python-jsonrpc-server
%global srcname jsonrpc-server

Name:           python-%{srcname}
Version:        0.4.0
Release:        %mkrel 4
Summary:        JSON RPC 2.0 server library
Group:          Development/Python
License:        MIT
URL:            https://github.com/palantir/python-jsonrpc-server
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(ujson)
BuildRequires:  python3-versioneer

%description
A Python server implementation of the JSON RPC 2.0 protocol.

%package -n     python3-%{srcname}
Summary:        JSON RPC 2.0 server library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A Python server implementation of the JSON RPC 2.0 protocol.

%prep
%autosetup -n %{pypi_name}-%{version}

# remove ujson version
sed -i 's/ujson<=1.35;/ujson;/' setup.py
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# test setup from openSUSE spec file
# ignore tests not compatible with current python versions
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-3 -v -k 'not (test_request_error or test_request_cancel or test_writer_bad_message)'

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pyls_jsonrpc
%{python3_sitelib}/python_jsonrpc_server-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.4.0-4.mga9
+ Revision: 1833883
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.4.0-3.mga9
+ Revision: 1783874
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.4.0-2.mga9
+ Revision: 1707405
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1669410
- initial package python-jsonrpc-server (needed for python-language-server)

